import { AfterViewInit, EventEmitter, NgZone, OnDestroy } from '@angular/core';
import { Toast, ToastItemCloseEvent } from './sp-toast';
import * as i0 from "@angular/core";
export declare class SpToastComponent implements AfterViewInit, OnDestroy {
    private readonly zone;
    set index(index: number);
    set toast(toast: Toast | null);
    close: EventEmitter<ToastItemCloseEvent>;
    readonly index$: import("@angular/core").WritableSignal<number | null>;
    readonly toast$: import("@angular/core").WritableSignal<Toast | null>;
    readonly life$: import("@angular/core").WritableSignal<number>;
    readonly lifeTimeMillis$: import("@angular/core").Signal<number>;
    readonly progressPercent$: import("@angular/core").Signal<number>;
    readonly toastStyleClasses$: import("@angular/core").Signal<string[]>;
    readonly closeButtonStyleClasses$: import("@angular/core").Signal<string[]>;
    readonly lifeIntervalMillis: number;
    readonly lifeIndicatorStyles$: import("@angular/core").Signal<{
        left: string;
        right: string;
        transitionDuration: string;
    }>;
    private timeout;
    constructor(zone: NgZone);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onCloseClicked(): void;
    private initTimeout;
    private clearTimeout;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpToastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpToastComponent, "sp-toast", never, { "index": { "alias": "index"; "required": false; }; "toast": { "alias": "toast"; "required": false; }; }, { "close": "close"; }, never, never, false, never>;
}
