import { OnInit } from '@angular/core';
import { SpToastService } from './sp-toast.service';
import { Toast, ToastItemCloseEvent } from './sp-toast';
import * as i0 from "@angular/core";
export type ToastHostPositionHorizontal = 'left' | 'right';
export type ToastHostPositionVertical = 'top' | 'bottom';
export declare class SpToastHostComponent implements OnInit {
    private readonly toastService;
    set hostName(hostName: string);
    set preventDuplicates(preventDuplicates: boolean);
    set posVertical(posVertical: ToastHostPositionVertical);
    set posHorizontal(posHorizontal: ToastHostPositionHorizontal);
    readonly hostName$: import("@angular/core").WritableSignal<string>;
    readonly showMultiple$: import("@angular/core").WritableSignal<boolean>;
    readonly preventDuplicates$: import("@angular/core").WritableSignal<boolean>;
    readonly posVertical$: import("@angular/core").WritableSignal<ToastHostPositionVertical>;
    readonly posHorizontal$: import("@angular/core").WritableSignal<ToastHostPositionHorizontal | null>;
    readonly hostStyleClasses$: import("@angular/core").Signal<string[]>;
    readonly toasts$: import("@angular/core").WritableSignal<Toast[]>;
    readonly nextToast$: import("@angular/core").Signal<Toast[]>;
    constructor(toastService: SpToastService);
    ngOnInit(): void;
    private observeToasts;
    private addToast;
    private canAddToast;
    removeToast(event: ToastItemCloseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpToastHostComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpToastHostComponent, "sp-toast-host", never, { "hostName": { "alias": "hostName"; "required": false; }; "preventDuplicates": { "alias": "preventDuplicates"; "required": false; }; "posVertical": { "alias": "posVertical"; "required": false; }; "posHorizontal": { "alias": "posHorizontal"; "required": false; }; }, {}, never, never, false, never>;
}
