export type ToastSeverity = 'plain' | 'info' | 'warn' | 'danger';
export interface ToastOptions {
    id?: string;
    hostName?: string;
    severity?: ToastSeverity;
    lifeMillis?: number;
}
export declare class Toast {
    static readonly DEFAULT_OPTIONS: {
        hostName: string;
        severity: "plain";
    };
    readonly message: string;
    readonly options: ToastOptions;
    constructor(message: string, options?: ToastOptions);
}
export declare class ToastItemCloseEvent {
    readonly toast: Toast;
    readonly index: number;
    constructor(toast: Toast, index: number);
}
